Bug 647455 - [abrt] ibus-1.3.6-1.fc13: magazine_chain_pop_head: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
[abrt] ibus-1.3.6-1.fc13: magazine_chain_pop_head: Process /usr/bin/python wa...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
13
i686 Unspecified
low Severity medium
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
abrt_hash:14171ae72883dcaaae0d3f3211e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-28 09:22 EDT by jackonweb
Modified: 2010-12-20 21:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-20 21:50:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (87.06 KB, text/plain)
2010-10-28 09:22 EDT, jackonweb
no flags Details

  None (edit)
Description jackonweb 2010-10-28 09:22:41 EDT
abrt version: 1.1.13
architecture: i686
Attached file: backtrace
cmdline: python /usr/share/ibus/ui/gtk/main.py
component: ibus
crash_function: magazine_chain_pop_head
executable: /usr/bin/python
kernel: 2.6.33.6-147.fc13.i686
package: ibus-1.3.6-1.fc13
rating: 4
reason: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
time: 1284392934
uid: 500
Comment 1 jackonweb 2010-10-28 09:22:45 EDT
Created attachment 456233 [details]
File: backtrace
Comment 2 fujiwara 2010-10-29 00:14:48 EDT
I cannot reproduce your problem.

#0  magazine_chain_pop_head (mem_size=8) at gslice.c:486
486	      (*magazine_chunks)->data = chunk->next;

Thread 1 (Thread 2415):
#0  magazine_chain_pop_head (mem_size=8) at gslice.c:486
        chunk = 0xff
#1  thread_memory_magazine1_alloc (mem_size=8) at gslice.c:789
        mag = 0x9da80c0

It seems a buffer overflow is happened.
Probably I guess another problem causes this problem.

How do you reproduce your problem with reproducing steps?
Which locale do you use?
Which ibus engine do you use? pinyin?

It seems you got your problem when you try to show U+8CDE '賞' with ibus lookup table.
I don't see any problems with my Fedora 13 64bit.
Comment 3 fujiwara 2010-11-04 00:55:34 EDT
jackonweb:
Any update?

Note You need to log in before you can comment on or make changes to this bug.